cURL
curl --request GET \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/backtests/{job_id}/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/backtests/{job_id}/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/backtests/{job_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"rebalance_period": "MONTHLY",
"tax_gamma": 50,
"tax_loss_threshold_bps": 2500,
"starting_nav": 500000050
},
"result": {},
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}Backtesting
Get Account Backtest Result
GET
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
clients
/
{client_uuid}
/
accounts
/
{account_uuid}
/
backtests
/
{job_id}
/
cURL
Authorizations
Path Parameters
Response
200 - application/json
PENDING- PENDINGRUNNING- RUNNINGSUCCESS- SUCCESSFAILURE- FAILURE
Available options:
PENDING, RUNNING, SUCCESS, FAILURE Show child attributes
Show child attributes
Dictionary mapping case names to case results
Show child attributes
Show child attributes
⌘I